nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   Legacy driver and Compiz/Beryl (http://www.nvnews.net/vbulletin/showthread.php?t=88802)

Sylvain59 03-27-07 02:56 PM

Legacy driver and Compiz/Beryl
 
I have 2 questions.

1) Does the legacy driver supports Beryl/Compiz?

2) Does it support the GLX_EXT_texture_from_pixmap extension?

I ask that because Ubuntu users seem to be unable to use Beryl/Compiz with the legacy driver.

Thanks in advance.

netllama 03-27-07 02:58 PM

Re: Legacy driver and Compiz/Beryl
 
The 1.0-96xx legacy branch provides GLX_EXT_texture_from_pixmap support.
The 1.0-71xx legacy branch does not.

The driver README documents which graphics cards are supported in each branch.

silwol 03-28-07 01:38 AM

Re: Legacy driver and Compiz/Beryl
 
Quote:

Originally Posted by netllama
The 1.0-96xx legacy branch provides GLX_EXT_texture_from_pixmap support.

Will this legacy driver be supported the same way the 74xx driver is supported at the moment?

netllama 03-28-07 10:45 AM

Re: Legacy driver and Compiz/Beryl
 
I'm not sure that I understand the question.

Sylvain59 03-28-07 11:05 AM

Re: Legacy driver and Compiz/Beryl
 
I think he means there is no support any more for the 1.0-71xx legacy driver (support for newer kernels etc).

He fears it becomes the same for the 1.0-96xx legacy driver...

netllama 03-28-07 11:18 AM

Re: Legacy driver and Compiz/Beryl
 
That is not the case for either legacy driver branch. Both will continue to be supported for critical bug fixes, and future Linux kernel & Xorg compatibility updates.

KeithMoyer 03-28-07 11:40 AM

Re: Legacy driver and Compiz/Beryl
 
I have a feeling it stems from the Ubuntu developers recently saying they will not support a third line of nvidia drivers (only keeping 71xx and 97xx lines) because they have interpreted your announcements as saying the 96xx line will be abandoned and cards not supported in 97xx need to fall back to using 71xx.

So, will there be maintenance/security updates to the 96xx line?

EDIT: I see you already answered my question. So, the answer is yes. Thank you for the clarification.

adamk75 03-28-07 01:31 PM

Re: Legacy driver and Compiz/Beryl
 
I have a feeling it stems from the Ubuntu developers recently saying they will not support a third line of nvidia drivers

They have not said that. They have said they are unsure how the packagers and package management system is going to handle it.

Adam

KeithMoyer 03-28-07 01:43 PM

Re: Legacy driver and Compiz/Beryl
 
Quote:

Originally Posted by adamk75
I have a feeling it stems from the Ubuntu developers recently saying they will not support a third line of nvidia drivers

They have not said that. They have said they are unsure how the packagers and package management system is going to handle it.

Adam

"9631 is done. Updates to it come in the form of updates to the latest driver, currently 9755. The only driver that nvidia currently supports for these cards is 7184, since they dropped support in 9755." - Ben Collins, Ubuntu Kernel Developer

But, regardless, my question was answered, and I'm sure everything will get straightened out at Ubuntu. That should be of no concern to this discussion, though.

adamk75 03-28-07 03:23 PM

Re: Legacy driver and Compiz/Beryl
 
Quote:

Originally Posted by KeithMoyer
"9631 is done. Updates to it come in the form of updates to the latest driver, currently 9755. The only driver that nvidia currently supports for these cards is 7184, since they dropped support in 9755." - Ben Collins, Ubuntu Kernel Developer

But, regardless, my question was answered, and I'm sure everything will get straightened out at Ubuntu. That should be of no concern to this discussion, though.

Where, in those three sentences, did Ben say that Ubuntu was not going to support a third line of nvidia drivers?

Adam

silwol 03-29-07 01:14 AM

Re: Legacy driver and Compiz/Beryl
 
I'm glad the issue seems to be kind of resolved for now, but I still have one more concern:
When using the 1.0.96xx driver for beryl/compiz, I have several bugs that seem to be coming from the driver, like for example the black window bug (http://www.nvnews.net/vbulletin/showthread.php?t=84562). If the 1.0.96xx series only get security updates, does this mean I will have to live with this bug forever as long as I don't buy a new graphics card (which is very unlikely as it is inside my laptop)?


All times are GMT -5. The time now is 11:57 AM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.